/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: SimpleEndpointImpl.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved.  */
package com.sun.ts.tests.jaxws.sharedwebservices.simpleservice;

import javax.xml.ws.WebServiceException;

@javax.jws.WebService(
    targetNamespace="http://simpletestservice.org/wsdl",
    serviceName="SimpleTest",
    portName="SimpleEndpointPort",
    endpointInterface="com.sun.ts.tests.jaxws.sharedwebservices.simpleservice.SimpleEndpoint"
)
public class SimpleEndpointImpl implements SimpleEndpoint{
    public String helloWorld() {
        return "hello world";
    }

    public void oneWayOperation()  {
    }

    public String overloadedOperation(String param)  {
        return param;
    }

    public String overloadedOperation(String param, String param2)  {
        return param + param2;
    }

    public String [] arrayOperation() {
        return new String []{"one", "two", "three"};
    }

    public SimpleBean getBean() {
	SimpleBean sb = new SimpleBean();
	sb.setMyInt(5);
	sb.setMyString("A String");
	return sb;
    }

    public String arrayOperationFromClient(String [] array) {
        return "success";
    }

    public String holderOperation(javax.xml.ws.Holder<java.lang.String> holder1, javax.xml.ws.Holder<java.lang.String> holder2) {
        return "success";
    }
}
